#
#  ----->>>   root libraries
#

ROOTVER    =  `root-config --version`
ROOTLIBS   =  `root-config --libs` -lMinuit -lHistPainter -lThread
ROOTGLIBS  =  `root-config --glibs` -lMinuit -lHistPainter -lThread
ROOTCFLAGS =  `root-config --cflags`

#
#  compiler flags
#

#
# You can use this flags to further costumize compilation:
#   export MARSDEFINES="-DHAVE_DARKBACKGROUND -DHAVE_XPM"
#   export MARSFLAGS=
#   export MARSLIBS="-lX11 -lXpm -L/usr/X11R6/lib"
#
DEFINES	 = -DMARSVER=\"\<cvs\>\" -D__MARS__ -DROOTVER=\"$(ROOTVER)\" $(ARCHDEF) $(MARSDEFINES)

CXXFLAGS = $(ROOTCFLAGS) $(INCLUDES) $(OPTIM) $(DEBUG) $(DEFINES)
CFLAGS   = $(CXXFLAGS) $(MARSFLAGS)
FFLAGS   = $(CXXFLAGS)

HEADERS  = $($(subst .cxx,.cc,SRCFILES):.cc=.h)
OBJS     = $($(subst .cxx,.cc,SRCFILES):.cc=.o) $(CINT)Cint.o
